We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

Actualizar version PHP en Con distribucion Fedora y PLESK


chrimasa
27/03/2008, 23:48
Agregado !

davabe
27/03/2008, 23:40
¡Me acabo de dar cuenta de un error!

Es datadeck con CK al final.

Lo siento...

chrimasa
26/03/2008, 20:49
Te he agregado!

davabe
26/03/2008, 18:42
Tengo GMAIL aunque también tengo el passport hecho con lo cual puedo acceder al MSN Messenger.

Mi contacto es datadec"alrroba"gmail.com (sustitúyase "alrroba" por @)

Hasta luego.

chrimasa
26/03/2008, 15:28
De acuerdo, por lo que veo eres usuario de cPanel.

Tienes MSN o algo donde podamos hablar mas tranquilamente?

Un saludo

davabe
26/03/2008, 14:14
No, en CPanel (por lo menos en el mío que es versión 11) tienes el EASYAPACHE que te permite compilar tu propia versión de APACHE, MySQL, PHP y sus extensiones. Esto está dentro del propio WHM en la sección Software > Apache Update. Con esto ejecutarás el EasyApache y podrás (mediante un wizard) elegir entre las versiones y extensiones disponibles para MySQL, PHP y Apache.

¡Se me olvidaba! Tienes que darle al botón Start customizing based on profile para poder elegir entre las versiones disponibles.

chrimasa
26/03/2008, 14:07
Para cPanel, también sirve este método?

davabe
26/03/2008, 13:51
¡Hola!

Yo tenía el mismo problema que tú. Lo solucione con el ART -Atomic Rocket Turtle que incluye en las reposiciones actualizadores para PHP, MySQL, etc... (TOTALMENTE COMPATIBLE CON PLESK 8.x.x) Yo le he probado en la versión 8.3.0 y la 8.1.0 (de Plesk) y me va de lujo.

Mini-Guía según ART

1- Conéctate en modo ROOT vía SSH y obtén las keys escribiendo:
wget http://www.atomicrocketturtle.com/RPM-GPG-KEY.art.txt
rpm --import RPM-GPG-KEY.art.txt
2- Luego te bajas el ""autoejecutable"" y lo ejecutas
3- Haz una actualización desde yum (Ya que mediante esta ejecución has añadido los repositorios necesarios para actualizar)
yum update
4- Comprueba que se ha actualizado el PHP
php -v
Teóricamente todo tiene que haber salido bien. Si no te funciona este método hay otro, que no es más que instalarlo en forma de paquete .rpm. Para ello bájate el que se corresponda a tu release e instálalo.

------------------ Compatible sólo con i386 ------------------

CentOS4: atomic-release-1.0-4.el4.art.noarch.rpm
FC6: atomic-release-1.0-4.fc6.art.noarch.rpm
FC5: atomic-release-1.0-4.fc5.art.noarch.rpm
FC4: atomic-release-1.0-4.fc4.art.noarch.rpm
FC3: atomic-release-1.0-4.fc3.art.noarch.rpm

------------------ Compatible sólo con i386 ------------------

Espero que te haya servido de ayuda. Si tienes cualquier problema no dudes en escribirlo.

Un saludo!

unwired
21/03/2008, 14:25
Hola

Tengo contratado con OVH un servidor con Fedora y PLESK actualmente tengo el PLESK con todas las actualizaciones realizadas aunque mi version de PHP es la 5.0.4 ¿Existe alguna guia que explique como actualizar la version?

Gracias y un saludo